Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_VDev Class Reference

Implements the VDev interface. One of these is created per connection, and represents device-specific parameters. More...

`#include <AVStreams_i.h>`

List of all members.

## Public Methods
| TAO_VDev (void)
| Default Constructor. More...
virtual CORBA::Boolean | set_peer (AVStreams::StreamCtrl_ptr the_ctrl, AVStreams::VDev_ptr the_peer_dev, AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| Called to tell the vdev who the streamctrl, peer vdev is. More...
virtual CORBA::Boolean | set_Mcast_peer (AVStreams::StreamCtrl_ptr the_ctrl, AVStreams::MCastConfigIf_ptr a_mcastconfigif, AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| Used to set the streamctrl and multicast device. More...
virtual void | configure (const CosPropertyService::Property &the_config_mesg ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)
| Called by the peer VDev to configure the device (catch all). More...
virtual void | set_format (const char *flowName, const char *format_name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::notSupported)
| Used to set a format on a flowname. More...
virtual void | set_dev_params (const char *flowName, const CosPropertyService::Properties &new_params ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)
| Used to set device parameters. More...
virtual CORBA::Boolean | modify_QoS (AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed)
| Called to change QoS of the device. More...
virtual | ~TAO_VDev (void)
| Destructor. More...
## Protected Methods
virtual CORBA::Boolean | set_media_ctrl (CORBA::Object_ptr media_ctrl ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| hook called after set_peer is done to set the media ctrl of the peer vdev. More...
## Protected Attributes
AVStreams::StreamCtrl_var | streamctrl_
| My stream controller. More...
AVStreams::VDev_var | peer_
| My peer. More...
AVStreams::MCastConfigIf_var | mcast_peer_
| The multicast VDev peer. More...

## Detailed Description

Implements the VDev interface. One of these is created per connection, and represents device-specific parameters.

## Constructor & Destructor Documentation

TAO_VDev::TAO_VDev | ( | void |  | ) |

| Default Constructor.

TAO_VDev::~TAO_VDev | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_VDev::configure | ( | const CosPropertyService::Property &the_config_mesg | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)`[virtual]`

| Called by the peer VDev to configure the device (catch all).

virtual CORBA::Boolean TAO_VDev::modify_QoS | ( | AVStreams::streamQoS & | the_qos,
|  | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed)`[virtual]`

| Called to change QoS of the device.

void TAO_VDev::set_dev_params | ( | const char * | flowName,
|  | const CosPropertyService::Properties &new_params | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)`[virtual]`

| Used to set device parameters.

void TAO_VDev::set_format | ( | const char * | flowName,
|  | const char *format_name | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::notSupported)`[virtual]`

| Used to set a format on a flowname.

virtual CORBA::Boolean TAO_VDev::set_Mcast_peer | ( | AVStreams::StreamCtrl_ptr | the_ctrl,
|  | AVStreams::MCastConfigIf_ptr | a_mcastconfigif,
|  | AVStreams::streamQoS & | the_qos,
|  | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| Used to set the streamctrl and multicast device.

CORBA::Boolean TAO_VDev::set_media_ctrl | ( | CORBA::Object_ptr media_ctrl | ACE_ENV_ARG_DECL_NOT_USED | ) | `[protected, virtual]`

| hook called after set_peer is done to set the media ctrl of the peer vdev.

CORBA::Boolean TAO_VDev::set_peer | ( | AVStreams::StreamCtrl_ptr | the_ctrl,
|  | AVStreams::VDev_ptr | the_peer_dev,
|  | AVStreams::streamQoS & | the_qos,
|  | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| Called to tell the vdev who the streamctrl, peer vdev is.

## Member Data Documentation

AVStreams::MCastConfigIf_var TAO_VDev::mcast_peer_`[protected]`

| The multicast VDev peer.

AVStreams::VDev_var TAO_VDev::peer_`[protected]`

| My peer.

AVStreams::StreamCtrl_var TAO_VDev::streamctrl_`[protected]`

| My stream controller.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp